changeset 331:d2820523ee06

When doing BUILD_SHORT (without development tools), use / instead of /tools.
author Rob Landley <rob@landley.net>
date Wed, 21 May 2008 17:52:45 -0500
parents f9ff71c71f9e
children df3855726ec7
files mini-native.sh
diffstat 1 files changed, 12 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/mini-native.sh	Tue May 20 03:11:39 2008 -0500
+++ b/mini-native.sh	Wed May 21 17:52:45 2008 -0500
@@ -6,12 +6,17 @@
 
 rm -rf "${NATIVE}"
 
-TOOLS="${NATIVE}/tools"
-mkdir -p "${TOOLS}/bin" || dienow
+if [ -z "${BUILD_SHORT}" ]
+then
+  TOOLS="${NATIVE}/tools"
 
-# Tell the wrapper script where to find the dynamic linker.
-export UCLIBC_DYNAMIC_LINKER=/tools/lib/ld-uClibc.so.0
-export UCLIBC_RPATH=/tools/lib
+  # Tell the wrapper script where to find the dynamic linker.
+  export UCLIBC_DYNAMIC_LINKER=/tools/lib/ld-uClibc.so.0
+  export UCLIBC_RPATH=/tools/lib
+else
+  TOOLS="${NATIVE}"
+fi
+mkdir -p "${TOOLS}/bin" || dienow
 
 # Purple.  And why not?
 echo -e "\e[35m"
@@ -47,6 +52,7 @@
 # Build and install toybox
 
 setupfor toybox
+
 make defconfig &&
 make install_flat PREFIX="${TOOLS}"/bin CROSS="${ARCH}-" &&
 rm "${TOOLS}"/bin/sh &&  # Bash won't install if this exists.
@@ -73,6 +79,7 @@
 
 if [ ! -z "${BUILD_SHORT}" ]
 then
+  # If you want to use tinycc, you need to keep the headers but don't need gcc.
   [ "$BUILD_SHORT" != "headers" ] && rm -rf "${TOOLS}"/include
 else